import theater.*;


/**
 * ActionHandler-Klasse zum Löschen des kompletten Spielfeldes
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (05.10.2009)
 *
 */
public class ClearField extends ActionHandler {
    public void handleAction(Stage stage, Actor solist) {
        Koordinator k = (Koordinator) solist;

        for (int r = 0; r < k.getNumberOfRows(); r++) {
            for (int s = 0; s < k.getNumberOfColumns(); s++) {
                k.setDead(r, s);
            }
        }
    }
}
